# Class CIM_ModifySettingAction
extends CIM_Action

This class specifies the information used to modify a 'setting' file, for a specific entry in the file. The new 'setting' value is created as a new entry or appends to, replaces, removes from, or deletes the specified entry. All additions are assumed to be case sensitive. Removes are assumed to be case insensitive.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Action
|
+--CIM_ModifySettingAction

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class specifies the information used to modify a 'setting' file, for a specific entry in the file. The new 'setting' value is created as a new entry or appends to, replaces, removes from, or deletes the specified entry. All additions are assumed to be case sensitive. Removes are assumed to be case insensitive.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ActionType | uint16 |
Description | string | Type of Action to be performed on the specified setting entry. 0=Create - Creates the specified entry. 1=Delete - Deletes the specified entry. 2=Append - Appends to the end of the specified entry. 3=Remove - Removes the value from the specified entry.
ValueMap | string | 0, 1, 2, 3
Values | string | Create, Delete, Append, Remove
EntryName | string |
Description | string | Name of setting entry to be modified.
MaxLen | uint32 | 256
EntryValue | string |
Description | string | This is the value to add, append, or replace the specified setting.
FileName | string |
Description | string | File name of the 'setting' file.
MaxLen | uint32 | 1024
SectionKey | string |
Description | string | This is the key or label of the section of the file to be modified.
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
ActionID | string | CIM_Action
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
Direction | uint16 | CIM_Action
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Action
SoftwareElementID | string | CIM_Action
SoftwareElementState | uint16 | CIM_Action
TargetOperatingSystem | uint16 | CIM_Action
Version | string | CIM_Action

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Action
InvokeOnSystem | uint32 | CIM_Action